<?php

require_once dirname(__FILE__).'/../lib/product_prop_listGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/product_prop_listGeneratorHelper.class.php';

/**
 * product_prop_list actions.
 *
 * @package    sf
 * @subpackage product_prop_list
 * @author     Atma
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class product_prop_listActions extends autoProduct_prop_listActions
{
    public function executeNew(sfWebRequest $request)
    {
        $this->form = $this->configuration->getForm();
        $this->product_prop_list = $this->form->getObject();
        if (is_numeric($request->getParameter('prop_id')))
        {
            $this->form->setDefault('product_prop_id', $request->getParameter('prop_id'));
        }

    }
}
